Package commoble.looot.data

# Class DataCodecs

java.lang.Object
commoble.looot.data.DataCodecs

public class DataCodecs extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.Codec<net.minecraft.world.item.enchantment.Enchantment>`
`ENCHANTMENT`

## Constructor Summary

Constructors
Constructor
Description
`DataCodecs()`

## Method Summary

Modifier and Type
Method
Description
`static final <T extends net.minecraftforge.registries.IForgeRegistryEntry<T>>
com.mojang.serialization.Codec<T>`
`makeRegistryEntryCodec(net.minecraftforge.registries.IForgeRegistry<T> registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ENCHANTMENT

public static final com.mojang.serialization.Codec<net.minecraft.world.item.enchantment.Enchantment> ENCHANTMENT

## Constructor Details

### DataCodecs

public DataCodecs()

## Method Details

### makeRegistryEntryCodec

public static final <T extends net.minecraftforge.registries.IForgeRegistryEntry<T>> com.mojang.serialization.Codec<T> makeRegistryEntryCodec(net.minecraftforge.registries.IForgeRegistry<T> registry)